Bug 359921 - Review Request: drupal-cck - Allows you create and customize fields using a web browser
Review Request: drupal-cck - Allows you create and customize fields using a w...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 359931
  Show dependency treegraph
 
Reported: 2007-10-31 07:13 EDT by Jon Ciesla
Modified: 2010-10-16 17:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 13:30:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sven: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2007-10-31 07:13:52 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/drupal-cck/drupal-cck.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/drupal-cck/drupal-cck-1.6-1.fc7.src.rpm
Description: The Content Construction Kit allows you create and customize fields using
a web browser. The 4.7x version of CCK creates custom content types and 
allows you to add custom fields to them. In Drupal 5.x custom content 
types can be created in core, and CCK allows you to add custom fields to 
any content type.
Comment 1 Jon Ciesla 2008-02-22 13:23:06 EST
Drupal 6.0 is hitting rawhide, the 6.x version is not ready and depends upon the
6.x version of views.
Comment 3 Sven Lankes 2008-07-29 15:05:00 EDT
Could you update this again to the current stable? According to the changelog
there have been some major changes and important fixes since 2.0-beta.
Comment 5 Sven Lankes 2008-07-29 15:52:19 EDT
UPGRADE.txt, DEVELOPER.txt and CHANGELOG.txt should be %doc

%doc-Files shouldn't be duplicated to %{drupaldir}
Comment 7 Sven Lankes 2008-07-29 16:36:12 EDT
The %doc-Files still appear twice:

[root@f9test ~]# rpm -ql drupal-cck | grep CHANGELOG
/usr/share/doc/drupal-cck-6.x.2.0/CHANGELOG.txt
/usr/share/drupal/modules/cck/CHANGELOG.txt
Comment 9 Sven Lankes 2008-07-30 16:05:35 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f9/i386
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2
[x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: 94e6b2822aaf1421243e1908c7facb5e94ba59cc
cck-6.x-2.0-rc4.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: f9/i386
 [?] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

APPROVED
Comment 10 Jon Ciesla 2008-07-31 08:32:35 EDT
Thanks!

New Package CVS Request
=======================
Package Name: drupal-cck
Short Description: Allows you to create and customize fields using a web browser
Owners: limb
Branches: F-9
InitialCC:
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-07-31 13:15:47 EDT
cvs done.
Comment 12 Fedora Update System 2008-07-31 14:41:30 EDT
drupal-cck-6.x.2.0-2.rc4.fc9 has been submitted as an update for Fedora 9
Comment 13 Fedora Update System 2008-07-31 21:50:03 EDT
drupal-cck-6.x.2.0-2.rc4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update drupal-cck'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6966
Comment 14 Fedora Update System 2008-08-07 19:55:16 EDT
drupal-cck-6.x.2.0-2.rc4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Jon Ciesla 2008-09-15 13:30:13 EDT
Closing.
Comment 16 Jon Ciesla 2010-10-14 10:01:32 EDT
Package Change Request
======================
Package Name: drupal-cck
New Branches: el5 el6
Owners: limb
Comment 17 Kevin Fenzi 2010-10-16 17:12:24 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.